## org.eclipse.emf.cdo.common
Interface CDOCommonView

All Superinterfaces:
  org.eclipse.net4j.util.collection.Closeable

All Known Subinterfaces:
  CDOAudit, CDOTransaction, CDOView, IAudit, InternalCDOTransaction, InternalCDOView, ITransaction, IView

    public interface CDOCommonView

extends org.eclipse.net4j.util.collection.Closeable

Since:
  2.0

Nested Class Summary
`static class` `CDOCommonView.Type`

Field Summary
`static long` `UNSPECIFIED_DATE`

Method Summary
`CDOCommonSession` `getSession()`
`long` `getTimeStamp()`
`int` `getViewID()`
`CDOCommonView.Type` `getViewType()`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Field Detail

### UNSPECIFIED_DATE

    static final long UNSPECIFIED_DATE

See Also:
  Constant Field Values

Method Detail

### getViewID

    int getViewID()

### getViewType

    CDOCommonView.Type getViewType()

### getSession

    CDOCommonSession getSession()

### getTimeStamp

    long getTimeStamp()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.